
public class Class28 {

   Class45[] aClass45Array345;
   static final int anInt346 = 4;
   static final int anInt347 = 256;
   Class45[] aClass45Array348;
   String aString349;
   Class84[] aClass84Array350;
   static final int anInt351 = 2;


   void method834(byte[] var1, int var2) throws Exception_Sub2 {
      Class111 var3 = new Class111(var1);
      int var4 = var3.method2213((byte)1);
      if(var4 != 4) {
         throw new Exception_Sub2(this, var4, 4);
      } else {
         this.aString349 = var3.method2214(-1555069611);
         this.aClass45Array348 = new Class45[var3.method2213((byte)1)];
         this.aClass45Array345 = new Class45[var3.method2213((byte)1)];
         this.aClass84Array350 = new Class84[var3.method2213((byte)1)];

         int var5;
         for(var5 = 0; var5 < this.aClass45Array348.length; ++var5) {
            this.aClass45Array348[var5] = new Class45();
            this.aClass45Array348[var5].method1130(var3, 2040877318);
         }

         for(var5 = 0; var5 < this.aClass45Array345.length; ++var5) {
            this.aClass45Array345[var5] = new Class45();
            this.aClass45Array345[var5].method1130(var3, 2003996495);
         }

         for(var5 = 0; var5 < this.aClass84Array350.length; ++var5) {
            this.aClass84Array350[var5] = new Class84();
            this.aClass84Array350[var5].method1672(var3, (byte)92);
         }

      }
   }

   public Class28(byte[] var1) throws Exception_Sub2 {
      this.method834(var1, 242847059);
   }

   public static void method835(int var0, int var1, int var2) {
      Class9.method664(var0, var1, 1834051856);
   }

   static void method836(Class121 var0, Class124 var1, int var2) {
      if(var1 != null) {
         int var4;
         if(-875927841 * var1.anInt1369 != -1) {
            Class124 var3 = var0.aClass124Array1207[-1029733319 * var1.anInt1481 & '\uffff'];
            if(var3 != null) {
               if(var3.aClass124Array1521 == var3.aClass124Array1408) {
                  var3.aClass124Array1521 = new Class124[var3.aClass124Array1408.length];
                  var3.aClass124Array1521[0] = var1;
                  Class492.method8218(var3.aClass124Array1408, 0, var3.aClass124Array1521, 1, var1.anInt1369 * -875927841);
                  Class492.method8218(var3.aClass124Array1408, 1 + var1.anInt1369 * -875927841, var3.aClass124Array1521, -875927841 * var1.anInt1369 + 1, var3.aClass124Array1408.length - var1.anInt1369 * -875927841 - 1);
               } else {
                  var4 = 0;

                  Class124[] var5;
                  for(var5 = var3.aClass124Array1521; var4 < var5.length && var1 != var5[var4]; ++var4) {
                     ;
                  }

                  if(var4 >= var5.length) {
                     return;
                  }

                  Class492.method8218(var5, 0, var5, 1, var4);
                  var5[0] = var1;
               }
            }
         } else {
            Class124[] var6 = var0.method2336((byte)35);

            for(var4 = 0; var4 < var6.length && var1 != var6[var4]; ++var4) {
               ;
            }

            if(var4 >= var6.length) {
               return;
            }

            Class492.method8218(var6, 0, var6, 1, var4);
            var6[0] = var1;
         }
      }

   }

   static final void method837(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -198964321);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class116.method2290(var3, var4, var0, 1810025650);
   }

   static final void method838(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(2 == 995204269 * client.anInt7769 && var2 < 1907362565 * client.anInt7651) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 407771937 * client.aClass13Array7931[var2].anInt166;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      }

   }

   static final void method839(Class508 var0, byte var1) {
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub28_8477, var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807], 1362900644);
      Class7.method605(-1358477367);
   }

   static final void method840(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub21_8470.method12980(-2045472898);
   }

   static final void method841(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -25114466);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = client.method12284(var3).method14237(957635354);
   }

   static void method842(byte[] var0, int var1) {
      RS2Buffer var2 = new RS2Buffer(var0);

      while(true) {
         int var3 = var2.readUnsignedByte(-700559597);
         if(0 == var3) {
            return;
         }

         if(1 == var3) {
            int[] var4 = Class534.anIntArray7251 = new int[6];
            var4[0] = var2.readUnsignedShort(-937710807);
            var4[1] = var2.readUnsignedShort(-937710807);
            var4[2] = var2.readUnsignedShort(-937710807);
            var4[3] = var2.readUnsignedShort(-937710807);
            var4[4] = var2.readUnsignedShort(-937710807);
            var4[5] = var2.readUnsignedShort(-937710807);
         }
      }
   }
}
